#### Show `(unchanged)` keyword for accessibility in CLI `--write` (#15467 by @ADTC)

Previously, the only distinction between a changed file and an unchanged file was the grey color of the file name. In the example below, we can't distinguish between `a.js` and `b.js` as the color is missing. This issue is fixed by adding the `(unchanged)` keyword which makes the distinction accessible without color.

<!-- prettier-ignore -->
```sh
prettier --write .

# Prettier stable
a.js 0ms
b.js 0ms
c.js 0ms (cached)

# Prettier main
a.js 0ms
b.js 0ms (unchanged)
c.js 0ms (unchanged) (cached)
```
